API references
Merchant API

Find an invoice

Retrieve details about a specific invoice in your merchant account.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/find-invoice HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
invoice_id: string,
}
Returns: object
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
invoice_id string

Required. The unique identifier of the invoice to retrieve.

Response attributes
Attribute Description
invoice_id
string

Always present. The ID of the invoice.

number
string

Always present. The full number of the invoice.

status
string

Always present. The status of the invoice.

Possible values:
  • due
  • settled
amount
number

Always present. The gross amount of the invoice in subunits.

net_amount
number

Always present. The net amount of the invoice in subunits.

vat_amount
number

Always present. The VAT amount of the invoice in subunits.

currency
string

Always present. The 3-letter ISO currency code (e.g., 'THB').

issued_on
string

Always present. The date the invoice was issued in ISO 8601 format.

pdf_download_url
string

Nullable. The URL to download the invoice PDF.

receipt_id
string

Nullable. The ID of the receipt associated with this invoice.

receipt_number
string

Nullable. The full number of the receipt associated with this invoice.

receipt_pdf_download_url
string

Nullable. The URL to download the receipt PDF.

receipt_created_at
number

Nullable. The creation timestamp of the receipt (Unix timestamp).

created_at
number

Always present. The creation timestamp (Unix timestamp).

Errors specific to this endpoint
NOT_FOUND

This error occurs when no invoice with the provided ID exists in your merchant account. Double check that you're using the correct invoice ID.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.